include "basics/pts.ma".
include "connectives.ma".
include "logic.ma".
definition reflexive : \forall A : Type[0] . (A -> A -> Prop) -> Prop := \lambda A : Type[0]. \lambda R : A -> A -> Prop. \forall (x:A). R x x.
definition RC : \forall A : Type[0] . (A -> A -> Prop) -> A -> A -> Prop := \lambda A : Type[0]. \lambda R : A -> A -> Prop. \lambda x : A. \lambda y : A. (Or)  (R x y) ((eq) (A) x y).
definition RC_reflexive : \forall A. \forall (R:A -> A -> Prop). (reflexive) (A) ((RC) (A) R) := \lambda A : Type[0]. \lambda R : A -> A -> Prop. \lambda x : A. (((or_intror) (R x x)) ((eq) (A) x x)) (((refl) (A)) (x)).
definition injective : \forall A : Type[0] . \forall B : Type[0] . (A -> B) -> Prop := \lambda A : Type[0]. \lambda B : Type[0]. \lambda f : A -> B. \forall (x:A). \forall (y:A). ((eq) (B) (f x) (f y)) -> (eq) (A) x y.
